Create a read receipt
POST
/v1/notifications/{id}/read-receiptscurl -X POST 'https://api.embodiflow.io/v1/notifications/{id}/read-receipts' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- idstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- idstring (uuid)必填
- eventIdstring (uuid)必填
- eventTypestring必填
- resourceTypestring必填
- resourceIdstring (uuid)必填
- projectIdstring (uuid) | null必填
- occurredAtstring必填
- readboolean必填
- truncatedboolean必填
- hrefstring | null必填
- resourceLabelstring | null
- projectNamestring | null
- resourceStatusstring | null
- versionNumbernumber
Dataset version number for `version` and `export` notifications.
- exportFormatstring
Export format slug for `export` notifications.
- countnumber必填
响应示例
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"eventId": "00000000-0000-0000-0000-000000000000",
"eventType": "string",
"resourceType": "string",
"resourceId": "00000000-0000-0000-0000-000000000000",
"projectId": "00000000-0000-0000-0000-000000000000",
"occurredAt": "string",
"read": true,
"truncated": true,
"href": "string",
"resourceLabel": "string",
"projectName": "string",
"resourceStatus": "string",
"versionNumber": 0,
"exportFormat": "string",
"count": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1